"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createProxy = void 0;
const createProxy = (state, callBack) => {
    return new Proxy(state, {
        get(_, property) {
            const value = state[property];
            if (value instanceof Array) {
                return callBack(...value);
            }
            return callBack(value);
        },
    });
};
exports.createProxy = createProxy;
